#$Id: vbs_utils_inc.pm,v 1.1 2011/06/20 20:41:08 amishra2 Exp $
#$Copyright: Copyright (c) 2014 Symantec Corporation.
#All rights reserved.
#
#THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
#SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
#WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
#The Licensed Software and Documentation are deemed to be commercial
#computer software as defined in FAR 12.212 and subject to restricted
#rights as defined in FAR Section 52.227-19 "Commercial Computer
#Software - Restricted Rights" and DFARS 227.7202, "Rights in
#Commercial Computer Software or Commercial Computer Software
#Documentation", as applicable, and any successor regulations. Any use,
#modification, reproduction release, performance, display or disclosure
#of the Licensed Software and Documentation by the U.S. Government
#shall be solely in accordance with the terms of this Agreement.  $
#
########################
package vbs_utils_inc;

our @ISA = qw(Exporter);
use POSIX qw(uname);
use strict;
require Exporter;


# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration       use VCSOperation ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(

) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );
our @EXPORT = qw(
$CLEAR $TPUT $IFCONFIG $NETSTAT $EGREP $GREP $UNIQ $SORT $SED $AWK $PS $AWK 
$GREP $SED $HASYS $HAGRP $HARES $HACONF $HACLUS $HACF $VXGETTEXT $OSNAME 
$VBSCONF $VBSHOME $VBSLOG $VCSHOME $SFMHHOME $VBSMSGS $IP 
);

our ($OSNAME, $CLEAR, $TPUT, $IFCONFIG, $IP, $NETSTAT, $EGREP, $UNIQ, 
	$SORT, $SED, $AWK, $GREP);

# important VCS/VBS/SFM env variables
our $VBSCONF = $ENV{"VBS_CONF"} || "/etc/VRTSvbs";
our $VBSHOME = $ENV{"VBS_HOME"} || "/opt/VRTSvbs";
our $VBSLOG = $ENV{"VBS_LOG"} || "/var/VRTSvbs";
our $VCSHOME=$ENV{"VCS_HOME"} || "/opt/VRTSvcs";
our $SFMHHOME="/opt/VRTSsfmh";
our $VBSMSGS="/opt/VRTS";

# VCS commands
our $HACLUS      = "$VCSHOME/bin/haclus";
our $HAGRP       = "$VCSHOME/bin/hagrp";
our $HARES       = "$VCSHOME/bin/hares";
our $HASYS       = "$VCSHOME/bin/hasys";
our $HATYPE      = "$VCSHOME/bin/hatype";
our $HACONF = "$VCSHOME/bin/haconf";
our $HACLUS = "$VCSHOME/bin/haclus";
our $HACF = "$VCSHOME/bin/hacf";
our $VXGETTEXT = "$VCSHOME/bin/vxgettext";

($OSNAME) = uname();

if ($OSNAME eq "Linux") {
	$CLEAR = "/usr/bin/clear";   
	$TPUT = "/usr/bin/tput";     
	$IFCONFIG = "/sbin/ifconfig";
	$IP = "/sbin/ip";            
	$NETSTAT = "/bin/netstat";   
	$EGREP = "/bin/egrep";       
	$UNIQ = "/usr/bin/uniq";     
	$SORT = "/bin/sort";         
	$SED = "/bin/sed";           
	$AWK = "/usr/bin/awk";       
} elsif (($OSNAME eq "AIX") || ($OSNAME eq "SunOS")) {
	$CLEAR = "/usr/bin/clear";       
	$TPUT = "/usr/bin/tput";         
	$IFCONFIG = "/usr/sbin/ifconfig";
	$EGREP = "/usr/bin/egrep";       
	$UNIQ = "/usr/bin/uniq";         
	$SORT = "/usr/bin/sort";         
	$SED = "/usr/bin/sed";           
	$AWK = "/usr/bin/awk";           
} else {
	# for HP-UX

	$CLEAR = "/usr/bin/clear";      
	$TPUT = "/usr/bin/tput";        
	$IFCONFIG = "/usr/sbin/lanscan";
	$NETSTAT = "/usr/bin/netstat";  
	$EGREP = "/usr/bin/egrep";      
	$GREP = "/usr/bin/grep";        
	$UNIQ = "/usr/bin/uniq";        
	$SORT = "/usr/bin/sort";        
	$SED = "/usr/bin/sed";          
	$AWK = "/usr/bin/awk";          
}

